#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'daftar_hasil_koordinasi.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
            #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
            #{if showButtonTambahKoordinasi}
                <a href="@{katalog.PermohonanPembaruanCtr.createKoordinasi(id)}" class="btn btn-primary btn-md"><i
                        class="fa fa-plus"></i> &{'tambah.label'} &{'hasil_koordinasi.label'}</a>
            #{/if}
            #{if showButtonKirimKoordinasi }
                <a id="btnKirim" href="#" class="btn btn-warning btn-md"><i
                        class="fa fa-send"></i> &{'kirim.label'} &{'hasil_koordinasi.label'}</a>
            #{/if}
            </div>
        #{alert /}
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x:auto;">
                    <!-- Data Table -->
                    <table class="table table-striped" id="tblDisposisi">
                        <thead>
                        <tr>
                            <th class="header-center">&{'dibuat_oleh.label'}</th>
                            <th class="header-center">&{'catatan.label'}</th>
                            <th class="header-center">&{'file.label'}</th>
                            <th class="header-center">&{'tanggal_dibuat.label'}</th>
                            <th class="header-center">&{'tanggal_diubah.label'}</th>
                            <th class="header-center">&{'aksi.label'}</th>
                        </tr>
                        </thead>
                        <tbody>
                        #{list items:koordinasi, as:'item'}
                        <tr>
                            <td>${item?.nama_lengkap}</td>
                            <td>${item?.deskripsi}</td>
                            <td class="text-center"><a href="${item?.getFileUrl()}">${item?.nama_file}</a></td>
                            <td class="text-center">${item?.getCreatedDate()}</td>
                            <td class="text-center">${item?.getModifiedDate()}</td>
                            <td class="text-center">
                                #{if showButtonTambahKoordinasi && aktifUser.user_id.equals(new Long(item.created_by))}
                                    <a href="@{katalog.PermohonanPembaruanCtr.editKoordinasi(item.id)}"
                                       class="btn btn-primary btn-md">&{'ubah.label'}</a>
                                #{/if}
                            </td>
                        </tr>
                        #{/list}
                        </tbody>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">

    $(document).ready(function(){
        $("#btnKirim").on("click", function (e) {
            e.preventDefault();

            var msg = "&{'warning_kirim_hasil_koordinasi.label'}";
            var conf = confirm(msg);
            var href = "@{katalog.PermohonanPembaruanCtr.kirimKoordinasi(id)}";
            if (conf == true) {
                window.location.href = href;
                //$("#btnKirim").click();
            }
        });
    });
</script>
#{/set}